RESTRICT(1e)

NAME
restrict - Report restriction enzyme cleavage sites in a nucleotide sequence

SYNOPSIS

restrict -sequence seqall -datafile datafile -mfile datafile -sitelen integer -enzymes string -min integer -max integer -solofragment boolean -single boolean -blunt boolean -sticky boolean -ambiguity boolean -plasmid boolean -methylation boolean -commercial boolean -limit boolean -alphabetic boolean -fragments boolean -name boolean -outfile report

restrict -help

DESCRIPTION

restrict is a command line program from EMBOSS (“the European Molecular Biology Open Software Suite”). It is part of the "Nucleic:Restriction" command group(s).

OPTIONS

  Input section

-sequence seqall

-datafile datafile

-mfile datafile
    Default value: Emethylsites.dat

  Required section

-sitelen integer
    This sets the minimum length of the restriction enzyme recognition site. Any enzymes with sites shorter than this will be ignored. Default value: 4

-enzymes string
    The name 'all' reads in all enzyme names from the REBASE database. You can specify enzymes by giving their names with commas between then, such as: 'HincII,hinfI,ppiI,hindiii'. The case of the names is not important. You can specify a file of enzyme names to read in by giving the name of the file holding the enzyme names with a '@' character in front of it, for example, '@enz.list'. Blank lines and lines starting with a hash character or '!' are ignored and all other lines are concatenated together with a comma character ',' and then treated as the list of enzymes to search for. An example of a file of enzyme names is: ! my enzymes HincII, ppiII ! other enzymes hindiii HinfI PpiI Default value: all

  Advanced section

-min integer
    This sets the minimum number of cuts for any restriction enzyme that will be considered. Any enzymes that cut fewer times than this will be ignored. Default value: 1

-max integer
    This sets the maximum number of cuts for any restriction enzyme that will be considered. Any enzymes that cut more times than this will be ignored. Default value: 2000000000

-solofragment boolean
    This gives the fragment lengths of the forward sense strand produced by complete restriction by each restriction enzyme on its own. Results are added to the tail section of the report. Default value: N

-single boolean
    If this is set then this forces the values of the mincuts and maxcuts qualifiers to both be 1. Any other value you may have set them to will be ignored. Default value: N

-blunt boolean
    This allows those enzymes which cut at the same position on the forward and reverse strands to be considered. Default value: Y

-sticky boolean
    This allows those enzymes which cut at different positions on the forward and reverse strands, leaving an overhang, to be considered. Default value: Y

-ambiguity boolean
    This allows those enzymes which have one or more 'N' ambiguity codes in their pattern to be considered Default value: Y

-plasmid boolean
    If this is set then this allows searches for restriction enzyme recognition site and cut positions that span the end of the sequence to be considered. Default value: N

-methylation boolean
    If this is set then RE recognition sites will not match methylated bases. Default value: N

-commercial boolean
    If this is set, then only those enzymes with a commercial supplier will be searched for. This qualifier is ignored if you have specified an explicit list of enzymes to search for, rather than searching through 'all' the enzymes in the REBASE database. It is assumed that, if you are asking for an explicit enzyme, then you probably know where to get it from and so all enzymes names that you have asked to be searched for, and which cut, will be reported whether or not they have a commercial supplier. Default value: Y

  Output section

-limit boolean
    This limits the reporting of enzymes to just one enzyme from each group of isoschizomers. The enzyme chosen to represent an isoschizomer group is the prototype indicated in the data file 'embossre.equ', which is created by the program 'rebaseextract'. If you prefer different prototypes to be used, make a copy of embossre.equ in your home directory and edit it. If this value is set to be false then all of the input enzymes will be reported. You might like to set this to false if you are supplying an explicit set of enzymes rather than searching 'all' of them. Default value: Y

-alphabetic boolean
    Default value: N

-fragments boolean
    This gives the fragment lengths of the forward sense strand produced by complete restriction using all of the input enzymes together. Results are added to the tail section of the report. Default value: N

-name boolean
    Default value: N

-outfile report

BUGS

Bugs can be reported to the Debian Bug Tracking system (http://bugs.debian.org/emboss), or directly to the EMBOSS developers (http://sourceforge.net/tracker/?group_id=93650&atid=605031).

SEE ALSO

restrict is fully documented via the tfm(1) system.

AUTHOR

Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
    Wrote the script used to autogenerate this manual page.

COPYRIGHT

This manual page was autogenerated from an Ajax Control Definition of the EMBOSS package. It can be redistributed under the same terms as EMBOSS itself.